# class RDoc::Markup::HardBreak

frozen_string_literal: false

A hard-break in the middle of a paragraph.

### Public Class Methods

new() click to toggle source

RDoc::Markup::HardBreak is a singleton

    # File lib/rdoc/markup/hard_break.rb, line 12
    def self.new
      @instance
    end

### Public Instance Methods

accept(visitor) click to toggle source

Calls accept_hard_break on `visitor`

    # File lib/rdoc/markup/hard_break.rb, line 19
    def accept visitor
      visitor.accept_hard_break self
    end